Subject: Re: bug#51964: 29.0.50; Wishlist: It'd be nice with a pull+push command in vc-dir

From: Juri Linkov <[email-masked]>
Date: Sat, 24 Sep 2022 20:36:37 +0300

>> `+' and `P' in vc-dir-mode are nice, but it means that I have to wait
>> until `+' is done first.  So what I want is a command that does the
>> pull, and if there's no conflicts, then do the push.
>>
>> It seems like this shouldn't be too difficult -- vc-exec-after should be
>> able to do this somehow.
>
> I've now done this in Emacs 29.

I wonder why this couldn't be implemented by using the existing backend
functions 'pull' and 'push'?  Then the only thing required for a backend
to support 'vc-pull-and-push' is just to return a process from the
backend function 'pull'.  IOW, I don't see a problem of moving
the logic of vc-git-pull-and-push to vc-pull-and-push.